from src.population import Population
from src.world import World


def main():
    world = World()
    population = Population(200, world, situational=True, normative=True, topological=True)
    world.get_plot(True)
    for i in range(20):
        print("iteration: " + str(i))
        population.plot(True)
        population.new_generation()
    population.plot_fitness(True)


if __name__ == '__main__':
    main()
